#!/bin/sh

# this script will register Cinepaint in the fvwm95, jwm, and icewm menus

  ### register in the fvwm95 menu
  # entry is placed just above figurine
  FVWM95RC="/root/.fvwm95rc"
  if [ -f $FVWM95RC ] ; then
    # this option is used to prevent the entry from going in more than once
    grep "/usr/bin/cinepaint" $FVWM95RC
    if [ $? -ne 0 ] ;then
      cp -f $FVWM95RC /tmp/DOTfvwm95.cinepaint.backup
      EDITTEXT="s/^\(.\+Exec figurine\)/+ \"Cinepaint motion picture editor%cinepaint.xpm%\" Exec exec \/usr\/bin\/cinepaint\n\1/"
      sed -e "$EDITTEXT" $FVWM95RC >/tmp/cinepaintinstall.tmp
      mv -f /tmp/cinepaintinstall.tmp $FVWM95RC
    fi
  fi

  ### register in the jwm menu
  # entry is just before figurine
  JWMRC="/root/.jwmrc"
  if [ -f $JWMRC ] ; then
    # this option is used to prevent the entry from going in more than once
    grep "/usr/bin/cinepaint" $JWMRC
    if [ $? -ne 0 ] ;then
      cp -f $JWMRC /tmp/DOTjwm.cinepaint.backup
      EDITTEXT="s/^\(.\+Program label=\"Figurine vector editor.\+$\)/<Program label=\"Cinepaint motion picture editor\" icon=\"cinepaint.xpm\">exec \/usr\/bin\/cinepaint<\/Program>\n\1/"
      sed -e "$EDITTEXT" $JWMRC >/tmp/cinepaintinstall.tmp
      mv -f /tmp/cinepaintinstall.tmp $JWMRC
    fi
  fi

  ### register in the icewm menu
  # enterd right before figurine
  ICEWMMENU="/root/.icewm/menu"
  if [ -f $ICEWMMENU ] ; then
    # this option is used to prevent the entry from going in more than once
    grep "/usr/bin/cinepaint" $ICEWMMENU
    if [ $? -ne 0 ] ;then
      cp -f $ICEWMMENU /tmp/icewmmenu.cinepaint.backup
      EDITTEXT="s/^\(.\+prog \"Figurine vector editor.\+$\)/\tprog \"Cinepaint motion picture editor\" cinepaint \/usr\/bin\/cinepaint\n\1/"
      sed -e "$EDITTEXT" $ICEWMMENU >/tmp/cinepaintinstall.tmp
      mv -f /tmp/cinepaintinstall.tmp $ICEWMMENU
    fi
  fi